0

What I've tried so far:

sudo apt install git
git clone https://github.com/F1ash/dnscrypt-proxy-gui

And I think it only downloaded the source code (?).

I also tried make but it doens't seem to work.

0

First install cmake:

sudo apt-get install cmake

Or install the latest version of cmake by visiting cmake.org and downloading the latest source distribution.

sudo apt-get install build-essential
tar -xf cmake-3.10.2.tar.gz
cd cmake-3.10.2
./configure
make
sudo apt-get install checkinstall
sudo checkinstall

And you need these to be able to compile DNSCrypt-Proxy-GUI:

sudo apt-get install extra-cmake-modules
sudo apt-get install qtbase5-dev
sudo apt-get install libkf5auth-dev
sudo apt-get install libkf5notifications-dev
sudo apt-get install qtbase5-private-dev

Download the latest DNSCrypt-Proxy-GUI from here

tar -xf  dnscrypt-proxy-gui-1.11.11.tar.gz
cd dnscrypt-proxy-gui-1.11.11
sudo cmake ./
sudo checkinstall

Now run DNSCrypt-Proxy-GUI with:

DNSCryptClient

Helpful links:

How to install cmake 3.2 on Ubuntu

https://github.com/psifidotos/Latte-Dock/issues/485

What package do I need to build a Qt 5 & CMake application?

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.